# Libre SingIn 

<img style="margin-top: 1em;width: 500px;border: 0" alt="Fork me on GitHub" src="logo/libresignin_w.svg?sanitize=true">

## A go-between for authorization services and applications to make them 'libre' and easy to use

This was created to as middleware for users and develpers to make services and applications ease to use and 'libre'

## Description

 Use several authorization services in Clouds and applications access from one pluggable layer in front line

>  __IMPORTANT__
> __This is in pre-alpha state__ 
>

### Done

- Load configuration and settings
- Basic connection to Kratos 
- Basic webserver with ssl

### Features

- __Middleware__: connect to Authorization Services like [Ory Kratos](https://www.ory.sh/kratos/) for Applications as SingIn/Out endpoints
- __Authority__: manage credentials transparently for users as almost a single sign on service
- __Policies__: enforce services and mesh to security definitions helping in  secure traffic
- __Traceable__: full use of APIs and pluggale design to include tracing and telemetry helping in tracking and scale
- __WebServer__: SSL, File server, Token auth, Tera Templates, provides admin UI and end user interface
- __Multilang__: language autosense and language request responses
- __DataServer__: handle several <i>DdataStores</i>(hash, json-yaml-toml,Redis,MySQL,PostgreSQL) directly or via Async GraphQL. Caching and preload
- __Auth Server Provider__: JWT, authentication policies (Casbin), handle users via datastores, sessions and profiles via key-value stores, encrypt/decrypt data
- __Customizable Server__: resources, settings, modules, run-levels, licenses and versioning

## Requirements for build


## Build from source

- Clone this repository and go to folder:

```bash
git clone 
cd libresignin
```

- Build:

```bash
cargo build
```

- Install ():

```bash
```


## Config Example

```toml

```

## Environment

Main vars:

Use to preset settings:

| Arg | Env. var |
|---|---|



## Author

- [Jesús Pérez](https://github.com/jesusperez).


## References

## License

MIT
